> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Collects

> Returns a paginated list of the collects of your account, newest first. Every filter is optional and all the filters that are sent are combined.



## OpenAPI

````yaml get /v3/collect
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/collect:
    get:
      summary: List Collects
      description: >-
        Returns a paginated list of the collects of your account, newest first.
        Every filter is optional and all the filters that are sent are combined.
      operationId: list-collects
      parameters:
        - name: limit
          in: query
          description: Number of collects to return, from 1 to 100. Default is 10.
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 100
            default: 10
        - name: starting_after
          in: query
          description: >-
            A collect ID (starts with col_) used as a cursor. Returns the
            collects created after this collect, oldest first. Cannot be used
            together with ending_before.
          schema:
            type: string
        - name: ending_before
          in: query
          description: >-
            A collect ID (starts with col_) used as a cursor. Returns the
            collects created before this collect, newest first. Cannot be used
            together with starting_after.
          schema:
            type: string
        - name: created.gt
          in: query
          description: >-
            Returns collects created after this time (RFC 3339, e.g.
            2026-10-01T00:00:00Z).
          schema:
            type: string
            format: date-time
        - name: created.gte
          in: query
          description: >-
            Returns collects created at or after this time. Cannot be used
            together with created.gt.
          schema:
            type: string
            format: date-time
        - name: created.lt
          in: query
          description: Returns collects created before this time.
          schema:
            type: string
            format: date-time
        - name: created.lte
          in: query
          description: >-
            Returns collects created at or before this time. Cannot be used
            together with created.lt.
          schema:
            type: string
            format: date-time
        - name: type
          in: query
          description: >-
            Filter by the type of the collect, exact match, e.g. wire_transfer,
            local_bank_transfer, stablecoin_usdc or stablecoin_usdt.
            local_bank_transfer also returns the currency specific local bank
            transfers (e.g. local_bank_transfer_eur).
          schema:
            type: string
        - name: destination
          in: query
          description: >-
            Filter by the collection account ID (starts with cva_, cwa_ or
            cta_).
          schema:
            type: string
        - name: status
          in: query
          description: >-
            Filter by the status of the collect, exact match: compliance_hold,
            on_hold, detected, succeeded or failed.
          schema:
            type: string
        - name: currency
          in: query
          description: >-
            Filter by the currency of the collect (ISO 4217, e.g. SGD, or a
            supported stablecoin).
          schema:
            type: string
        - name: on_behalf_of
          in: query
          description: >-
            Filter by the entity the collects were made on behalf of (starts
            with ent_).
          schema:
            type: string
      responses:
        '200':
          description: List of collects.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of API request
                  message:
                    type: string
                    description: Message returned as part of the API response
                  data:
                    type: object
                    properties:
                      object:
                        type: string
                        description: Always list.
                      has_more:
                        type: boolean
                        description: Whether there are more collects after this page.
                      results:
                        type: array
                        description: >-
                          The collects of this page, each one in the same format
                          as Fetch Collect.
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: Id of the collect
                            object:
                              type: string
                              description: Always collect.
                            amount:
                              type: integer
                              description: Amount of collect
                            currency:
                              type: string
                              description: Currency of collection
                            status:
                              type: string
                              description: Status of the collect
                            type:
                              type: string
                              description: Type of collect
                            destination:
                              type: string
                              description: Collection account id
                            destination_details:
                              type: object
                              description: Collection account details
                            holding_currency:
                              type: string
                              description: Balance currency
                            balance_transaction:
                              type: string
                              description: Related balance transaction id
                            on_behalf_of:
                              type: string
                              description: >-
                                Id of the entity on behalf of which the collect
                                is created
                            payer_details:
                              type: object
                              description: Details of the payer
                            tracking_details:
                              type: object
                              description: Tracking details of the collect
                            metadata:
                              type: object
                              description: Set of key-value pairs attached to the collect
                            created_at:
                              type: string
                              format: date-time
                              description: Created At Timestamp
              examples:
                Result:
                  value:
                    status: success
                    message: ''
                    data:
                      object: list
                      has_more: false
                      results:
                        - amount: 12829
                          balance_transaction: btr_u7ftrgipu69og2qj1j1pg
                          created_at: '2027-08-15T03:43:46.980Z'
                          currency: SGD
                          destination: cva_d2dgk0ka772psfuj1he0
                          destination_details:
                            type: virtual_account
                            virtual_account:
                              account_holder_name: OM Grand Limited
                              account_number: '0109866363'
                              bank_address:
                                address_line_1: ''
                                address_line_2: ''
                                city: ''
                                country: Singapore
                                postal_code: ''
                                state: ''
                              bank_branch: >-
                                8 MARINA BOULEVARD, 27-01, MARINA BAY FINANCIAL
                                CENTRE
                              bank_codes:
                                swift_code: SLSGO2XXX
                              bank_name: STANDARD BANK LIMITED
                              currencies:
                                - SGD
                              iban: ''
                              id: cva_d2dgk0552psfuj1he0
                              object: virtual_account
                          holding_currency: SGD
                          id: col_d2fapsh76og2qj0ej5g
                          metadata: {}
                          object: collect
                          on_behalf_of: ''
                          payer_details:
                            additional_information: CM Payment for Order 56
                            name: CMC COMPANY
                            payer_bank:
                              account_number: '1112019837840'
                              address: null
                              bank_codes:
                                swift_code: AJUM7CHBKXXX
                              name: C Bank
                            reference_id: ''
                          status: succeeded
                          tracking_details: null
                          type: wire_transfer
        '400':
          description: Invalid request.
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    message: 'Bad Request : Your request is invalid'
                    errors:
                      - code: 19750
                        message: limit is invalid and should be between 1 to 100
                        remarks: limit
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        status:
          type: string
          enum:
            - error
          description: Always 'error' for error responses
        message:
          type: string
          description: High-level error message
        errors:
          type: array
          description: Array of detailed error objects
          items:
            type: object
            properties:
              code:
                type: integer
                description: Specific error code
              message:
                type: string
                description: Detailed error message
              remarks:
                type: string
                description: Additional context or suggestions for resolution
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.